# List Events

* [Request Parameters](#request-parameters)
* [Response](#response)
* [Examples](#examples)

Returns a list of all events. This endpoint returns the same events that would be sent to a [webhook](https://docs.seam.co/latest/developer-tools/webhooks), but it enables you to filter or see events that already took place.

{% tabs %}
{% tab title="JavaScript" %}
Returns a list of events for a specified device.

**Code:**

```javascript
await seam.events.list({
  device_id: "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "device.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
Returns a list of events for a specified device.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
  "since": "2025-05-15T00:00:00.000Z",
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
      "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "device.connected",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
Returns a list of events for a specified device.

**Code:**

```python
seam.events.list(
    device_id="b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    since="2025-05-15T00:00:00.000Z",
    limit=10,
)
```

**Output:**

```python
[
    SeamEvent(
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        device_id="b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        event_description="The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="device.connected",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
Returns a list of events for a specified device.

**Code:**

```ruby
seam.events.list(
  device_id: "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
)
```

**Output:**

```ruby
[
  {
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description" =>
      "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "device.connected",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
Returns a list of events for a specified device.

**Code:**

```php
$seam->events->list(
    device_id: "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    since: "2025-05-15T00:00:00.000Z",
    limit: 10,
);
```

**Output:**

```php
[
    [
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        "event_description" =>
            "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "device.connected",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
Returns a list of events for a specified device.

**Code:**

```seam_cli
seam events list --device_id "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2" --since "2025-05-15T00:00:00.000Z" --limit 10
```

**Output:**

```seam_cli
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "device.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Client session token
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`access_code_id`** *String*

ID of the access code for which you want to list events.

***

**`access_code_ids`** *Array* *of UUIDs*

IDs of the access codes for which you want to list events.

***

**`access_grant_id`** *String*

ID of the access grant for which you want to list events.

***

**`access_grant_ids`** *Array* *of UUIDs*

IDs of the access grants for which you want to list events.

***

**`access_method_id`** *String*

ID of the access method for which you want to list events.

***

**`access_method_ids`** *Array* *of UUIDs*

IDs of the access methods for which you want to list events.

***

**`acs_access_group_id`** *String*

ID of the ACS access group for which you want to list events.

***

**`acs_credential_id`** *String*

ID of the ACS credential for which you want to list events.

***

**`acs_encoder_id`** *String*

ID of the ACS encoder for which you want to list events.

***

**`acs_entrance_id`** *String*

ID of the ACS entrance for which you want to list events.

***

**`acs_system_id`** *String*

ID of the access system for which you want to list events.

***

**`acs_system_ids`** *Array* *of UUIDs*

IDs of the access systems for which you want to list events.

***

**`acs_user_id`** *String*

ID of the ACS user for which you want to list events.

***

**`between`** *Array* *of Objects*

Lower and upper timestamps to define an exclusive interval containing the events that you want to list. You must include `since` or `between`.

***

**`connect_webview_id`** *String*

ID of the Connect Webview for which you want to list events.

***

**`connected_account_id`** *String*

ID of the connected account for which you want to list events.

***

**`customer_key`** *String*

Customer key for which you want to list events.

***

**`device_id`** *String*

ID of the device for which you want to list events.

***

**`device_ids`** *Array* *of UUIDs*

IDs of the devices for which you want to list events.

***

**`event_ids`** *Array* *of UUIDs*

IDs of the events that you want to list.

***

**`event_type`** *String*

Type of the events that you want to list.

***

**`event_types`** *Array* *of Enums*

Types of the events that you want to list.

<details>

<summary>Enum values</summary>

Possible enum values:

* `access_code.created`
* `access_code.changed`
* `access_code.scheduled_on_device`
* `access_code.set_on_device`
* `access_code.removed_from_device`
* `access_code.delay_in_setting_on_device`
* `access_code.failed_to_set_on_device`
* `access_code.deleted`
* `access_code.delay_in_removing_from_device`
* `access_code.failed_to_remove_from_device`
* `access_code.modified_external_to_seam`
* `access_code.deleted_external_to_seam`
* `access_code.backup_access_code_pulled`
* `access_code.unmanaged.converted_to_managed`
* `access_code.unmanaged.failed_to_convert_to_managed`
* `access_code.unmanaged.created`
* `access_code.unmanaged.removed`
* `access_grant.created`
* `access_grant.deleted`
* `access_grant.access_granted_to_all_doors`
* `access_grant.access_granted_to_door`
* `access_grant.access_to_door_lost`
* `access_grant.access_times_changed`
* `access_grant.could_not_create_requested_access_methods`
* `access_method.issued`
* `access_method.revoked`
* `access_method.card_encoding_required`
* `access_method.deleted`
* `access_method.reissued`
* `access_method.created`
* `acs_system.connected`
* `acs_system.added`
* `acs_system.disconnected`
* `acs_credential.deleted`
* `acs_credential.issued`
* `acs_credential.reissued`
* `acs_credential.invalidated`
* `acs_user.created`
* `acs_user.deleted`
* `acs_encoder.added`
* `acs_encoder.removed`
* `acs_access_group.deleted`
* `acs_entrance.added`
* `acs_entrance.removed`
* `client_session.deleted`
* `connected_account.connected`
* `connected_account.created`
* `connected_account.successful_login`
* `connected_account.disconnected`
* `connected_account.completed_first_sync`
* `connected_account.deleted`
* `connected_account.completed_first_sync_after_reconnection`
* `connected_account.reauthorization_requested`
* `action_attempt.lock_door.succeeded`
* `action_attempt.lock_door.failed`
* `action_attempt.unlock_door.succeeded`
* `action_attempt.unlock_door.failed`
* `action_attempt.simulate_keypad_code_entry.succeeded`
* `action_attempt.simulate_keypad_code_entry.failed`
* `action_attempt.simulate_manual_lock_via_keypad.succeeded`
* `action_attempt.simulate_manual_lock_via_keypad.failed`
* `connect_webview.login_succeeded`
* `connect_webview.login_failed`
* `device.connected`
* `device.added`
* `device.converted_to_unmanaged`
* `device.unmanaged.converted_to_managed`
* `device.unmanaged.connected`
* `device.disconnected`
* `device.unmanaged.disconnected`
* `device.tampered`
* `device.low_battery`
* `device.battery_status_changed`
* `device.removed`
* `device.deleted`
* `device.third_party_integration_detected`
* `device.third_party_integration_no_longer_detected`
* `device.salto.privacy_mode_activated`
* `device.salto.privacy_mode_deactivated`
* `device.connection_became_flaky`
* `device.connection_stabilized`
* `device.error.subscription_required`
* `device.error.subscription_required.resolved`
* `device.accessory_keypad_connected`
* `device.accessory_keypad_disconnected`
* `noise_sensor.noise_threshold_triggered`
* `lock.locked`
* `lock.unlocked`
* `lock.access_denied`
* `thermostat.climate_preset_activated`
* `thermostat.manually_adjusted`
* `thermostat.temperature_threshold_exceeded`
* `thermostat.temperature_threshold_no_longer_exceeded`
* `thermostat.temperature_reached_set_point`
* `thermostat.temperature_changed`
* `device.name_changed`
* `camera.activated`
* `device.doorbell_rang`
* `enrollment_automation.deleted`
* `phone.deactivated`
* `space.device_membership_changed`
* `space.created`
* `space.deleted`

</details>

***

**`limit`** *Number*

Numerical limit on the number of events to return.

***

**`since`** *String*

Timestamp to indicate the beginning generation time for the events that you want to list. You must include `since` or `between`.

***

**`space_id`** *String*

ID of the space for which you want to list events.

***

**`space_ids`** *Array* *of UUIDs*

IDs of the spaces for which you want to list events.

***

**`unstable_offset`** *Number*

Offset for the events that you want to list.

***

**`user_identity_id`** *String*

ID of the user identity for which you want to list events.

***

## Response

{% hint style="success" %}
Returns: **Array of** [**events**](/latest/api/events.md)
{% endhint %}

{% tabs %}
{% tab title="JSON" %}

```json
{
  "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
  "created_at": "2025-06-15T16:54:18.000000Z",
  "device_id": "b3c4d5e6-f7a8-49bc-def1-23456789abcd",
  "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
  "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
  "event_type": "device.connected",
  "occurred_at": "2025-06-15T16:54:17.946329Z",
  "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
}
```

{% endtab %}
{% endtabs %}

***

## Examples

### List events for a customer

Returns a list of events for a specified customer.

{% tabs %}
{% tab title="JavaScript" %}
**Code:**

```javascript
await seam.events.list({
  customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
  between: ["2025-05-15T00:00:00.000Z", "2025-06-20T23:59:59.999Z"],
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "device.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "customer_ids": [
    "e387e15f-be27-47ad-881f-4a6fc5460c57"
  ],
  "between": [
    "2025-05-15T00:00:00.000Z",
    "2025-06-20T23:59:59.999Z"
  ],
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
      "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "device.connected",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
**Code:**

```python
seam.events.list(
    customer_ids=["e387e15f-be27-47ad-881f-4a6fc5460c57"],
    between=["2025-05-15T00:00:00.000Z", "2025-06-20T23:59:59.999Z"],
    limit=10,
)
```

**Output:**

```python
[
    SeamEvent(
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        device_id="b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        event_description="The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="device.connected",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
**Code:**

```ruby
seam.events.list(
  customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
  between: %w[2025-05-15T00:00:00.000Z 2025-06-20T23:59:59.999Z],
  limit: 10,
)
```

**Output:**

```ruby
[
  {
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description" =>
      "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "device.connected",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
**Code:**

```php
$seam->events->list(
    customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
    between: ["2025-05-15T00:00:00.000Z", "2025-06-20T23:59:59.999Z"],
    limit: 10,
);
```

**Output:**

```php
[
    [
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        "event_description" =>
            "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "device.connected",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
**Code:**

```seam_cli
seam events list --customer_ids ["e387e15f-be27-47ad-881f-4a6fc5460c57"] --between ["2025-05-15T00:00:00.000Z","2025-06-20T23:59:59.999Z"] --limit 10
```

**Output:**

```seam_cli
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "device.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}

***

### List events for an access system

Returns a list of events for a specified access system.

{% tabs %}
{% tab title="JavaScript" %}
**Code:**

```javascript
await seam.events.list({
  acs_system_id: "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "acs_system_id": "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
    "event_description": "An access system was connected.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "acs_system.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "acs_system_id": "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
  "since": "2025-05-15T00:00:00.000Z",
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "acs_system_id": "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
      "event_description": "An access system was connected.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "acs_system.connected",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
**Code:**

```python
seam.events.list(
    acs_system_id="5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
    since="2025-05-15T00:00:00.000Z",
    limit=10,
)
```

**Output:**

```python
[
    SeamEvent(
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        acs_system_id="5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
        event_description="An access system was connected.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="acs_system.connected",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
**Code:**

```ruby
seam.events.list(
  acs_system_id: "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
)
```

**Output:**

```ruby
[
  {
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "acs_system_id" => "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
    "event_description" => "An access system was connected.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "acs_system.connected",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
**Code:**

```php
$seam->events->list(
    acs_system_id: "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
    since: "2025-05-15T00:00:00.000Z",
    limit: 10,
);
```

**Output:**

```php
[
    [
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "acs_system_id" => "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
        "event_description" => "An access system was connected.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "acs_system.connected",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
**Code:**

```seam_cli
seam events list --acs_system_id "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099" --since "2025-05-15T00:00:00.000Z" --limit 10
```

**Output:**

```seam_cli
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "acs_system_id": "5d92d231-cea4-4ceb-b9f6-1ff9cb9c5099",
    "event_description": "An access system was connected.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "acs_system.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}

***

### List events for an access code

Returns a list of events for a specified access code.

{% tabs %}
{% tab title="JavaScript" %}
**Code:**

```javascript
await seam.events.list({
  access_code_id: "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "access_code_id": "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "An access code was created.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "access_code.created",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "access_code_id": "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
  "since": "2025-05-15T00:00:00.000Z",
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "access_code_id": "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
      "event_description": "An access code was created.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "access_code.created",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
**Code:**

```python
seam.events.list(
    access_code_id="37ba4a46-c9a7-47a2-b761-f63d02acbea4",
    since="2025-05-15T00:00:00.000Z",
    limit=10,
)
```

**Output:**

```python
[
    SeamEvent(
        access_code_id="37ba4a46-c9a7-47a2-b761-f63d02acbea4",
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        device_id="b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        event_description="An access code was created.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="access_code.created",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
**Code:**

```ruby
seam.events.list(
  access_code_id: "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
)
```

**Output:**

```ruby
[
  {
    "access_code_id" => "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description" => "An access code was created.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "access_code.created",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
**Code:**

```php
$seam->events->list(
    access_code_id: "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
    since: "2025-05-15T00:00:00.000Z",
    limit: 10,
);
```

**Output:**

```php
[
    [
        "access_code_id" => "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        "event_description" => "An access code was created.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "access_code.created",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
**Code:**

```seam_cli
seam events list --access_code_id "37ba4a46-c9a7-47a2-b761-f63d02acbea4" --since "2025-05-15T00:00:00.000Z" --limit 10
```

**Output:**

```seam_cli
[
  {
    "access_code_id": "37ba4a46-c9a7-47a2-b761-f63d02acbea4",
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "An access code was created.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "access_code.created",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}

***

### List events of a specific type

Returns a list of events of a specified type.

{% tabs %}
{% tab title="JavaScript" %}
**Code:**

```javascript
await seam.events.list({
  event_type: "device.connected",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "device.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "event_type": "device.connected",
  "since": "2025-05-15T00:00:00.000Z",
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
      "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "device.connected",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
**Code:**

```python
seam.events.list(
    event_type="device.connected", since="2025-05-15T00:00:00.000Z", limit=10
)
```

**Output:**

```python
[
    SeamEvent(
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        device_id="b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        event_description="The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="device.connected",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
**Code:**

```ruby
seam.events.list(event_type: "device.connected", since: "2025-05-15T00:00:00.000Z", limit: 10)
```

**Output:**

```ruby
[
  {
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description" =>
      "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "device.connected",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
**Code:**

```php
$seam->events->list(
    event_type: "device.connected",
    since: "2025-05-15T00:00:00.000Z",
    limit: 10,
);
```

**Output:**

```php
[
    [
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        "event_description" =>
            "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "device.connected",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
**Code:**

```seam_cli
seam events list --event_type "device.connected" --since "2025-05-15T00:00:00.000Z" --limit 10
```

**Output:**

```seam_cli
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "The status of a device changed from offline to online. That is, the device.properties.online property changed from false to true. Note that some devices operate entirely in offline mode, so Seam never emits a device.connected event for these devices.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "device.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}

***

### List events for a connected account

Returns a list of events for a specified connected account.

{% tabs %}
{% tab title="JavaScript" %}
**Code:**

```javascript
await seam.events.list({
  connected_account_id: "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "A connected account was connected for the first time or was reconnected after being disconnected.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "connected_account.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
  "since": "2025-05-15T00:00:00.000Z",
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
      "event_description": "A connected account was connected for the first time or was reconnected after being disconnected.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "connected_account.connected",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
**Code:**

```python
seam.events.list(
    connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    since="2025-05-15T00:00:00.000Z",
    limit=10,
)
```

**Output:**

```python
[
    SeamEvent(
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        device_id="b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        event_description="A connected account was connected for the first time or was reconnected after being disconnected.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="connected_account.connected",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
**Code:**

```ruby
seam.events.list(
  connected_account_id: "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
)
```

**Output:**

```ruby
[
  {
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description" =>
      "A connected account was connected for the first time or was reconnected after being disconnected.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "connected_account.connected",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
**Code:**

```php
$seam->events->list(
    connected_account_id: "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    since: "2025-05-15T00:00:00.000Z",
    limit: 10,
);
```

**Output:**

```php
[
    [
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "device_id" => "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
        "event_description" =>
            "A connected account was connected for the first time or was reconnected after being disconnected.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "connected_account.connected",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
**Code:**

```seam_cli
seam events list --connected_account_id "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b" --since "2025-05-15T00:00:00.000Z" --limit 10
```

**Output:**

```seam_cli
[
  {
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "device_id": "b2ebca6c-d6d1-47dd-8dae-e9fa06f060b2",
    "event_description": "A connected account was connected for the first time or was reconnected after being disconnected.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "connected_account.connected",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}

***

### List events for a Connect Webview

Returns a list of events for a specified Connect Webview.

{% tabs %}
{% tab title="JavaScript" %}
**Code:**

```javascript
await seam.events.list({
  connect_webview_id: "775bc894-c51a-47e8-b7ac-f92292c62d63",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
});
```

**Output:**

```javascript
[
  {
    "connect_webview_id": "775bc894-c51a-47e8-b7ac-f92292c62d63",
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "event_description": "A Connect Webview login succeeded.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "connect_webview.login_succeeded",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}

{% tab title="cURL" %}
**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/events/list" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "connect_webview_id": "775bc894-c51a-47e8-b7ac-f92292c62d63",
  "since": "2025-05-15T00:00:00.000Z",
  "limit": 10
}
EOF
```

**Output:**

```curl
{
  "events": [
    {
      "connect_webview_id": "775bc894-c51a-47e8-b7ac-f92292c62d63",
      "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
      "created_at": "2025-06-15T16:54:18.000000Z",
      "event_description": "A Connect Webview login succeeded.",
      "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "event_type": "connect_webview.login_succeeded",
      "occurred_at": "2025-06-15T16:54:17.946329Z",
      "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
    }
  ]
}
```

{% endtab %}

{% tab title="Python" %}
**Code:**

```python
seam.events.list(
    connect_webview_id="775bc894-c51a-47e8-b7ac-f92292c62d63",
    since="2025-05-15T00:00:00.000Z",
    limit=10,
)
```

**Output:**

```python
[
    SeamEvent(
        connect_webview_id="775bc894-c51a-47e8-b7ac-f92292c62d63",
        connected_account_id="2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        created_at="2025-06-15T16:54:18.000000Z",
        event_description="A Connect Webview login succeeded.",
        event_id="6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        event_type="connect_webview.login_succeeded",
        occurred_at="2025-06-15T16:54:17.946329Z",
        workspace_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    )
]
```

{% endtab %}

{% tab title="Ruby" %}
**Code:**

```ruby
seam.events.list(
  connect_webview_id: "775bc894-c51a-47e8-b7ac-f92292c62d63",
  since: "2025-05-15T00:00:00.000Z",
  limit: 10,
)
```

**Output:**

```ruby
[
  {
    "connect_webview_id" => "775bc894-c51a-47e8-b7ac-f92292c62d63",
    "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at" => "2025-06-15T16:54:18.000000Z",
    "event_description" => "A Connect Webview login succeeded.",
    "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type" => "connect_webview.login_succeeded",
    "occurred_at" => "2025-06-15T16:54:17.946329Z",
    "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
  },
]
```

{% endtab %}

{% tab title="PHP" %}
**Code:**

```php
$seam->events->list(
    connect_webview_id: "775bc894-c51a-47e8-b7ac-f92292c62d63",
    since: "2025-05-15T00:00:00.000Z",
    limit: 10,
);
```

**Output:**

```php
[
    [
        "connect_webview_id" => "775bc894-c51a-47e8-b7ac-f92292c62d63",
        "connected_account_id" => "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
        "created_at" => "2025-06-15T16:54:18.000000Z",
        "event_description" => "A Connect Webview login succeeded.",
        "event_id" => "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
        "event_type" => "connect_webview.login_succeeded",
        "occurred_at" => "2025-06-15T16:54:17.946329Z",
        "workspace_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
    ],
];
```

{% endtab %}

{% tab title="Seam CLI" %}
**Code:**

```seam_cli
seam events list --connect_webview_id "775bc894-c51a-47e8-b7ac-f92292c62d63" --since "2025-05-15T00:00:00.000Z" --limit 10
```

**Output:**

```seam_cli
[
  {
    "connect_webview_id": "775bc894-c51a-47e8-b7ac-f92292c62d63",
    "connected_account_id": "2e3f4a5b-6c7d-8e9f-0a1b-2c3d4e5f6a7b",
    "created_at": "2025-06-15T16:54:18.000000Z",
    "event_description": "A Connect Webview login succeeded.",
    "event_id": "6d7e8f9a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "event_type": "connect_webview.login_succeeded",
    "occurred_at": "2025-06-15T16:54:17.946329Z",
    "workspace_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/events/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
